# $Revision: 1.20 $, $Date: 2002/08/25 18:09:19 $
Summary:	Library for writing networked servers and clients
Summary(pl):	Biblioteka do pisania sieciowych klientow i serwerw
Name:		linc
Version:	0.5.3
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/2.0.1/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0.6
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
linc is a library that eases the task of writing networked servers and
clients. It takes care of connection initiation and maintainance, and
the details of various transports. It is used by the new ORBit to
handle message transmission/receipt.

%description -l pl
linc jst bibliotek, ktra uatwia pisanie sieciowych serwerw i
klientw. Zajmuje si inicjacj i prowadzeniem poczenia oraz wieloma
detalami dotyczcymi transmisji. Jest ona uywana przez now wersj
biblioteki ORBit.

%package devel
Summary:	linc heades files, documentation
Summary(pl):	Pliki nagwkowe i dokumentacja do linc
Group:		Development/Libraries
Requires:	glib2-devel
Requires:	%{name} = %{version}

%description devel
Header files and documentation for linc.

%description devel -l pl
Pliki nagwkowe i dokumentacja do linc przydatna przy pisaniu
programw wykorzystujcych t bibliotek.

%package static
Summary:	Static linc libraries
Summary(pl):	Biblioteki statyczne do linc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static linc libraries.

%description static -l pl
Biblioteki statyczne do linc.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc=no
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/linc-cleanup-sockets
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README docs/html/*.html
%attr(755,root,root) %{_bindir}/linc-config
%attr(755,root,root) %{_libdir}/lib*.??
%{_includedir}/linc-*
%{_aclocaldir}/*
%{_pkgconfigdir}/*.pc
%{_datadir}/gtk-doc/html/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: linc.spec,v $
Revision 1.20  2002/08/25 18:09:19  aflinta
- updated to version 0.5.3

Revision 1.19  2002/08/14 23:32:54  michuz
- updated to 0.5.2

Revision 1.18  2002/06/23 05:53:05  kloczek
- release 2: use new %doc.

Revision 1.17  2002/06/22 22:52:20  grzegol
- removed linc-cleanup-sockets from devel subpackage (it's in linc package)

Revision 1.16  2002/05/27 22:42:12  kloczek
- updated to 0.5.0.

Revision 1.15  2002/05/21 23:14:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/05/20 15:28:51  wiget
updated to 0.1.22

Revision 1.13  2002/04/23 18:32:45  kloczek
- updated to 0.1.21.

Revision 1.12  2002/03/23 05:00:27  kloczek
- updated to 0.1.20.

Revision 1.11  2002/03/10 13:30:25  kloczek
- updated to 0.1.19 and rebuild against final glib2 2.0.0.

Revision 1.10  2002/02/23 03:36:24  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/19 04:42:24  kloczek
- release 2,
- added glib2-devel to Requires list for devel subpackage,
- rebuild against glib2 1.3.14.

Revision 1.7  2002/02/11 21:03:06  kloczek
- updated to 0.1.18.

Revision 1.6  2002/02/02 03:36:08  kloczek
- updated to 0.0.16 and rebuild against glib2 1.3.13.

Revision 1.5  2002/01/18 02:13:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/17 23:37:27  kloczek
- updated to 0.1.15 (bugfix release).

Revision 1.3  2002/01/17 19:25:37  kloczek
- updated to 0.1.14 (bugfix release) and fixed Source url.

Revision 1.2  2002/01/16 13:45:32  kloczek
- cosmetics.

Revision 1.1  2002/01/15 00:23:19  michuz
- initial release
